F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Functions
stm32f4xx_hal_msp.c File Reference

This file provides code for the MSP Initialization and de-Initialization codes. More...

`#include "main.h"`
Include dependency graph for stm32f4xx_hal_msp.c:

## Functions
void | HAL_MspInit (void)
void | HAL_CRYP_MspInit (CRYP_HandleTypeDef *hcryp)
| CRYP MSP Initialization This function configures the hardware resources used in this example.
void | HAL_CRYP_MspDeInit (CRYP_HandleTypeDef *hcryp)
| CRYP MSP De-Initialization This function freeze the hardware resources used in this example.
void | HAL_SPI_MspInit (SPI_HandleTypeDef *hspi)
| SPI MSP Initialization This function configures the hardware resources used in this example.
void | HAL_SPI_MspDeInit (SPI_HandleTypeDef *hspi)
| SPI MSP De-Initialization This function freeze the hardware resources used in this example.
void | HAL_TIM_Base_MspInit (TIM_HandleTypeDef *htim_base)
| TIM_Base MSP Initialization This function configures the hardware resources used in this example.
void | HAL_TIM_Base_MspDeInit (TIM_HandleTypeDef *htim_base)
| TIM_Base MSP De-Initialization This function freeze the hardware resources used in this example.
void | HAL_UART_MspInit (UART_HandleTypeDef *huart)
| UART MSP Initialization This function configures the hardware resources used in this example.
void | HAL_UART_MspDeInit (UART_HandleTypeDef *huart)
| UART MSP De-Initialization This function freeze the hardware resources used in this example.

## Detailed Description

This file provides code for the MSP Initialization and de-Initialization codes.

Attention

Copyright (c) 2026 STMicroelectronics. All rights reserved.

This software is licensed under terms that can be found in the LICENSE file in the root directory of this software component. If no LICENSE file comes with this software, it is provided AS-IS.

## Function Documentation

## ◆ HAL_CRYP_MspDeInit()

void HAL_CRYP_MspDeInit | ( | CRYP_HandleTypeDef * | hcryp | ) |

CRYP MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  hcryp | CRYP handle pointer

Return values

  None |

## ◆ HAL_CRYP_MspInit()

void HAL_CRYP_MspInit | ( | CRYP_HandleTypeDef * | hcryp | ) |

CRYP MSP Initialization This function configures the hardware resources used in this example.

Parameters

  hcryp | CRYP handle pointer

Return values

  None |

## ◆ HAL_MspInit()

void HAL_MspInit | ( | void |  | ) |

Initializes the Global MSP.

## ◆ HAL_SPI_MspDeInit()

void HAL_SPI_MspDeInit | ( | SPI_HandleTypeDef * | hspi | ) |

SPI MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  hspi | SPI handle pointer

Return values

  None |

SPI1 GPIO Configuration PA5 ------> SPI1_SCK PA6 ------> SPI1_MISO PA7 ------> SPI1_MOSI

## ◆ HAL_SPI_MspInit()

void HAL_SPI_MspInit | ( | SPI_HandleTypeDef * | hspi | ) |

SPI MSP Initialization This function configures the hardware resources used in this example.

Parameters

  hspi | SPI handle pointer

Return values

  None |

SPI1 GPIO Configuration PA5 ------> SPI1_SCK PA6 ------> SPI1_MISO PA7 ------> SPI1_MOSI

## ◆ HAL_TIM_Base_MspDeInit()

void HAL_TIM_Base_MspDeInit | ( | TIM_HandleTypeDef * | htim_base | ) |

TIM_Base MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  htim_base | TIM_Base handle pointer

Return values

  None |

## ◆ HAL_TIM_Base_MspInit()

void HAL_TIM_Base_MspInit | ( | TIM_HandleTypeDef * | htim_base | ) |

TIM_Base MSP Initialization This function configures the hardware resources used in this example.

Parameters

  htim_base | TIM_Base handle pointer

Return values

  None |

## ◆ HAL_UART_MspDeInit()

void HAL_UART_MspDeInit | ( | UART_HandleTypeDef * | huart | ) |

UART MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  huart | UART handle pointer

Return values

  None |

USART1 GPIO Configuration PA9 ------> USART1_TX PA10 ------> USART1_RX

## ◆ HAL_UART_MspInit()

void HAL_UART_MspInit | ( | UART_HandleTypeDef * | huart | ) |

UART MSP Initialization This function configures the hardware resources used in this example.

Parameters

  huart | UART handle pointer

Return values

  None |

USART1 GPIO Configuration PA9 ------> USART1_TX PA10 ------> USART1_RX